Changelog#
2026#
September 11, 2026 — Use specific sub-endpoints URLs for create /instalment_schedules: with_schedule and with_dates
The two variants for creating an instalment_schedule were surfaced as separate functions. However, they both went to the same URL and endpoint on the backend.
This created some bugs in generating our openapi schema and therefore our API reference documentation.
Therefore, we've added specific URLs for each endpoint aliased to the original one: POST /instalment_schedules/with_dates or POST /instalment_schedules/with_schedule.
The existing POST /instalment_schedules endpoint is unchanged and will remain available for the foreseeable future.
Client libraries will now use the specific endpoint matching the method - if you are stubbing the HTTP call you may need to update those stubs.
September 1, 2026 — Add app_connected_organisations export type
Exports can now be created with resource_type: app_connected_organisations, allowing connected merchant details to be exported.
2025#
May 9, 2025 — Removed Refund API limit of 25 refunds per payment.
March 26, 2025 — Added a new endpoint /balances that returns balances for a creditor.
January 27, 2025 — Exposed processing errors in Mandate Import Entries API: Added status filter parameter. Added processing_errors response field.
2024#
December 2, 2024 — Added ACH and PAD-specific API fields: Added mandate_request[consent_type] parameter to Billing Request creation. Added constraints[payment_method] parameter to Billing Request creation. Added subscription_request parameter to Billing Request creation. Added instalment_schedule_request parameter to Billing Request creation.
January 8, 2024 — Added API fields for Faster ACH: Added payment[faster_ach] parameter to Payment creation. Added payment[faster_ach] response field to Payment responses. Added mandate[next_possible_standard_ach_charge_date] response field to Mandate responses.
2023#
July 18, 2023 — Updated our public certificate policy.
June 21, 2023 — Added the resource_metadata property to Events.
March 16, 2023 — Added show_success_redirect_button parameter to Billing Request Flow creation.
March 1, 2023 — Changed the Payout Items API to only return Payout Items created in the previous 6 months.
February 22, 2023 — Made the Billing Requests API and the Blocks API respond in English if the Accept-Language header isn't set, like other API endpoints.
February 8, 2023 — Added billing_request[purpose_code] parameter to Billing Request creation.
January 13, 2023 — Added the verified_at timestamp field to the Mandates API.
2022#
December 23, 2022 — Updated our public certificate policy.
December 20, 2022 — Added authorisation_source parameter to the Mandate creation API and mandate_request[authourisation_source] parameter to the Billing Request creation API. This field is required for offline mandates.
December 13, 2022 — Added creditor_type parameter to the Creditors API.
December 9, 2022 — Added language parameter to Billing Request Flow creation.
November 11, 2022 — Added mandate_request[description] and mandate_request[constraints] parameter to Billing Request creation.
November 1, 2022 — Payout Items are no longer ordered by type. The order of Payout Items for a given Payout is still consistent between requests.
August 5, 2022 — Added payer_requested_dual_signature parameter to Billing Request action confirm payer details.
July 21, 2022 — Added prefilled_customer and prefilled_bank_account parameters to Billing Request creation.
July 14, 2022 — Added mandate_request[reference] parameter to Billing Request creation.
May 10, 2022 — Autogiro scheme is now available in Billing Request flow.
May 4, 2022 — Event creation is now an asynchronous process.
January 26, 2022 — Added support for filtering events by instalment schedule.
2021#
December 31, 2021 — Added support for Sepa Credit Transfer and Sepa Instant Credit Transfer in Billing Request.
November 18, 2021 — Added block endpoints.
August 5, 2021 — Fixed reason codes sent for BECS so they are consistent with documentation.
March 30, 2021 — Added Scenario Simulators endpoint for manual testing in Sandbox.
March 26, 2021 — Added a new resource called Billing Requests.
January 28, 2021 — Added webhook endpoints to view and retry webhooks. Began including webhook_id inside meta key in webhooks.
2020#
October 30, 2020 — Added a new resource called Payer Authorisations.
August 12, 2020 — Added a new event called payer_authorisation_completed.
July 14, 2020 — Added support for applying tax to transaction and surcharge fees.
2019#
Added support for PAD (Canadian) Direct Debit. Added idempotency_key to Webhooks. Added Betalingsservice (Danish Direct Debit).
2018#
Added support for BECS NZ (New Zealand). Added charge_date to payment responses. Added filtering by customer on payments and mandates list endpoints.
2017#
Added currency field to payment creation for foreign exchange payments. Added support for Autogiro (Swedish Direct Debit). Added Mandate PDFs endpoints. Added support for SEPA Core.
2016#
Added filtering by created_at to various APIs.
2015#
July 6, 2015 — Released API version 2015-07-06. Removes Helpers endpoint. Renames start_at/end_at on subscriptions to start_date/end_date. Enforces date format for payment charge_date.
April 29, 2015 — Released API version 2015-04-29. Removes Roles and Users. Replaces Api Keys with Access Tokens. Replaces Publishable Api Keys with Publishable Access Tokens.